Bug 445012 - Need xorg.conf to set Virtual window size
Need xorg.conf to set Virtual window size
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-02 14:49 EDT by Scott J Henson
Modified: 2009-07-14 13:39 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 13:39:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg.conf (620 bytes, text/plain)
2008-05-03 10:02 EDT, Scott J Henson
no flags Details
Xorg log with xorg.conf (21.70 KB, text/plain)
2008-05-03 10:03 EDT, Scott J Henson
no flags Details
Xorg log without xorg.conf (29.07 KB, text/plain)
2008-05-06 11:28 EDT, Scott J Henson
no flags Details
Xorg.conf (614 bytes, text/plain)
2008-05-19 07:43 EDT, Samme Vreysen
no flags Details

  None (edit)
Description Scott J Henson 2008-05-02 14:49:42 EDT
Description of problem:
I would like to have an external monitor hooked up to my Lenovo T61 laptop. 
When I try to resize the external monitor up, it says it can't because the
Virtual Window size was too small.  I had to edit /etc/X11/xorg.conf to add
Virtual to get my monitor.  

00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated
Graphics Controller (rev 0c)

Version-Release number of selected component (if applicable):

How reproducible:
100% as far as I can tell.

Steps to Reproduce:
1. Install F9
2. xrandr --output VGA --auto --right-of LVDS

Actual results:
It complains about the virtual window size being too small.

Expected results:
It extends my desktop onto the second screen.

Additional info:
Comment 1 Matěj Cepl 2008-05-03 06:16:27 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Scott J Henson 2008-05-03 10:02:01 EDT
Created attachment 304455 [details]

This is my xorg.conf with the Virtual line.
Comment 3 Scott J Henson 2008-05-03 10:03:02 EDT
Created attachment 304456 [details]
Xorg log with xorg.conf
Comment 4 Scott J Henson 2008-05-06 11:28:33 EDT
Created attachment 304642 [details]
Xorg log without xorg.conf

When I do not have an xorg.conf I get the following.

shenson@baseborn ~$ xrandr --output VGA --auto --right-of LVDS
xrandr: screen cannot be larger than 1680x1680 (desired size 2960x1050)
Comment 5 Bug Zapper 2008-05-14 06:32:37 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 6 Samme Vreysen 2008-05-19 07:42:33 EDT
I got the same problem with the i386 version of Fedora 9. Additional to the fact
i have to manually add the line in xorg.conf, i still can't get the extended
desktop working due to this obstacle: when i restart the X server, i won't get
the login screen, only a gradient blue striped screen. Other tty are still
accessible, so i could change the xorg.conf back to it's original state.

LVDS: 1024x768
VGA: 1280x1024
FC9 for i386

I did attach my current xorg.conf with the "virtual" line as comment.
Comment 7 Samme Vreysen 2008-05-19 07:43:46 EDT
Created attachment 305930 [details]

Xorg.conf with virtual line in comment
Comment 8 Keith Roberts 2008-08-13 17:06:38 EDT
Apparently the Virtual keyword is not supported in the latest version of the xorg server code. I found that out when installing Fedora 9. I understand now why I could not make my virtual screen any larger than the size of the physical screen.

Please see the following report at:


The 'Virtual' keyword in /etc/X11/xorg.conf has been dropped, due to the reorganisation of the X11 server code.

Please can we have the code to implement virtual desktops put back into the xorg server? I don't know how I'm going to manage without it!

I have tried F9 but I can't do much at all without virtual screens. This is what part of my /etc/X11/xorg.conf file looks like:

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        DefaultDepth     24
  SubSection "Display"
    Viewport   0 0
    Depth     24
    Virtual 800 1800

I'm still on F8 at the moment, purely for the reason of the xorg server in F9 not implementing the Virtual keyword.

I just hope this gets put back again ASAP please. I'm seriously considering running F8, and compiling Apache and PHP myself, until this issue gets sorted.
Comment 9 Ed Swierk 2008-12-16 11:07:38 EST
The Virtual option seems to be supported in both F9 and F10.  But it's still annoying that the default virtual desktop size is too small to allow side-by-side (non-mirrored) displays; I have to add "Virtual 3440 1680" to xorg.conf manually, otherwise the Screen Resolution application silently fails to set up the external display.
Comment 10 Gabriel Somlo 2009-02-20 15:04:39 EST
I managed to trim down my xorg.conf file to only the following Screen section:

Section "Screen"
  Identifier "Screen0"
  Device "Videocard0"
  DefaultDepth 24
  SubSection "Display"
    Viewport 0 0
    Depth 24
    Virtual 3840 1200

leaving everything else to be autodetected. Everything else I needed (swapping caps and control keys, adding SHMConfig to my synaptics driver, etc) is now configured via hal fdi policy files in /etc/hal/fdi/policy/... (and, as of F10, these settings are ignored if placed directly into xorg.conf anyway).

Wondering if configuring the virtual display size is something that should also be migrated to hal, and, if so, whether there's an example out there on how to do it.
Comment 11 Bug Zapper 2009-06-09 20:34:28 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 12 Bug Zapper 2009-07-14 13:39:12 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.